 <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h2 class="page-header">Processing Fees List</h2>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        Manage Processing Fee
                         </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body"> 
                       
                         <button type="button" data-toggle="tooltip" title="delete" class="btn btn-danger pull-left" onclick="confirm('please confirm one time') ? $('#all-actions').submit() : false;"><i class="fa fa-trash-o"></i> Delete All</button>
                          <a data-toggle="tooltip" title="Add New" class="btn btn-success pull-right" href="<?php echo Common::admincreateUrl('processingfeeform'); ?>"> Add New </a>

                        <form name="all-actions" method="post" id="all-actions" class="col-md-12">
                        <?php 
                        $this->widget('zii.widgets.grid.CGridView', array(
                          'id'=>'processingfee-grid',
                          'dataProvider'=>$model->search(),
                          'itemsCssClass' => 'table table-striped table-bordered table-hover',
                          'pagerCssClass' => 'dataTables_paginate paging_bootstrap pull-right',
                          'enableSorting' => true,
                          'enableHistory'=>false,
                          'template'=>'<div class=row>&nbsp;</div>{items}<div class=row>&nbsp;</div>{summary}{pager}',
                          'columns'=>array( 
                            array('header' => '<input type="checkbox" id="checkbox_select_all" value="1" style="width:18px; height:18px;">', 'value' =>'Common::checkBoxcode($data->pcpf_id)', 'type'=>'raw', 'name'=>'chbox', 'filter'=>''),
                            'pcpf_name',
                            'pcpf_value',
                            'pcpf_percentage',
                            array('header' => 'Status', 'type' => 'html','value'=>'getStatus($data->pcpf_status)'),

                            array(
                              'header'=>'Actions',
                              'class'=>'CButtonColumn',
                              'template'=>'{update} {delete}',
                              'buttons'=>array (
                                'update'=> array(
                                  'label'=>'',
                                  'imageUrl'=>'',
                                  'url'=>'Common::admincreateUrl("Editprocessingfee",array("id"=>$data->pcpf_id))',
                                   'options'=>array( 'class'=>'fa fa-fw fa-edit', 'rel' => 'tooltip', 'data-toggle' => 'tooltip', 'title' => Yii::t('lang', 'edit') ),
                                ),
                                'delete'=>array(
                                  'label'=>'',
                                  'imageUrl'=>'',
                                  'url'=>'Common::admincreateUrl("transactionfeedelete",array("id"=>$data->pcpf_id))',
                                    'click'=>'function(){
                                      if(!confirm("Are you sure, want to delete the processing fee details and it\"s related data?")) return false;
                                      $.fn.yiiGridView.update("processingfee-grid", {
                                        type:"POST", url:$(this).attr("href"),
                                        success:function(data) {
                                          if(!data){
                                            $.fn.yiiGridView.update("processingfee-grid");
                                            new PNotify({title: "Success",text: "Processing fee details deleted successfully",type: "success",icon:"fa fa-check-circle", styling:"fontawesome"});
                                          }
                                        }
                                      })
                                      return false;
                                    }',
                                  'options'=>array( 'class'=>'fa fa-fw fa-trash-o', 'rel' => 'tooltip', 'data-toggle' => 'tooltip', 'title' => 'Delete'),
                                ),
                              ),
                            ),
                          ),
                          'pager' => array(
                            'htmlOptions'=>array('class'=>'pagination'),
                            'selectedPageCssClass'=>'active',
                            'firstPageLabel'=>'First',
                            'prevPageLabel'=>'Previous',
                            'nextPageLabel'=>'Next',
                            'lastPageLabel'=>'Last',
                            'header'=>'',
                            'maxButtonCount'=>8,
                          ),
                        ));
                      ?>
                        </div>
                      </form>
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
   </div>
 <!-- /#page-wrapper -->
<?php 
function getStatus($id){

    if($id == 1)
        return '<span class="label label-success">Active</span>';
    else if ($id == 2)
        return '<span class="label label-danger">Deactivated</span>';

}
 ?>