<div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h2 class="page-header">Update User Details</h2>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            User Details
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-6">
                                        <?php $form=$this->beginWidget('CActiveForm', array(
                                        'id'=>'users-details-form',
                                        'htmlOptions'=>array('role'=>'form'),
                                        )); ?>
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_firstname'); ?>
                                        <?php echo $form->textField($model,'pcu_firstname',array('size'=>32,'class'=>"form-control", 'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_firstname'); ?>
                                        </div>
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_middlename'); ?>
                                        <?php echo $form->textField($model,'pcu_middlename',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_middlename'); ?>
                                        </div>
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_lastname'); ?>
                                        <?php echo $form->textField($model,'pcu_lastname',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_lastname'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_address1'); ?>
                                        <?php echo $form->textField($model,'pcu_address1',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_address1'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_dob'); ?>
                                        <?php echo $form->textField($model,'pcu_dob',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_dob'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_email'); ?>
                                        <?php echo $form->textField($model,'pcu_email',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_email'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_address2'); ?>
                                        <?php echo $form->textField($model,'pcu_address2',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_address2'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_country'); ?>
                                        <?php echo $form->dropDownList($model,'pcu_country', Country::listData(), array('class'=>'chkin form-control','prompt'=>'Select Country')); ?>
                                        <?php echo $form->error($model,'pcu_country'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_state'); ?>
                                       <?php
                                                if($model->isNewRecord)
                                                    $datas = array();
                                                else
                                                    $datas = State::listData($model->pcu_country);

                                                 echo $form->dropDownList($model,'pcu_state', $datas , array('class'=>'chkin form-control','prompt'=>'Select State')); ?>
                                        <?php echo $form->error($model,'pcu_state'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_city'); ?>
                                        <?php
                                               if($model->isNewRecord)
                                                    $cities = array();
                                                else
                                                    $cities = City::listData($model->pcu_state);
                                                echo $form->dropDownList($model,'pcu_city', $cities, array('class'=>'chkin form-control','prompt'=> 'Select City')); ?><?php echo $form->error($model,'pcu_city'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_location'); ?>
                                        <?php echo $form->textField($model,'pcu_location',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_location'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_zipcode'); ?>
                                        <?php echo $form->textField($model,'pcu_zipcode',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_zipcode'); ?>
                                        </div>

                            
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_mobile'); ?>
                                        <?php echo $form->textField($model,'pcu_mobile',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_mobile'); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_user_balance'); ?>
                                        <?php echo $form->textField($model,'pcu_user_balance',array('size'=>32, 'class'=>"form-control",'maxlength'=>32)); ?>
                                        <?php echo $form->error($model,'pcu_user_balance'); ?>
                                        </div>
                                        
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_account_type'); ?>

                                        <?php 
                                        if($model->isNewRecord){
                                             $status = Common::accountTypeDataValue($model->pcu_account_type);
                                        }else{
                                            $status = Common::accountTypeData();
                                        }
                                        echo $form->dropDownList($model,'pcu_account_type', $status, array('prompt'=>'Select Any one','class'=>'form-control')); ?></div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_account_status'); ?>
                                         <?php 
                                        if($model->isNewRecord){
                                             $status = Common::accountStatusDataValue($model->pcu_account_status);
                                        }else{
                                            $status = Common::accountStatusData();
                                        }
                                        echo $form->dropDownList($model,'pcu_account_status', $status, array('prompt'=>'Select Any one','class'=>'form-control')); ?></div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_mobile_verified'); ?>
                                        <br/>
                                        <?php echo isset($model->pcu_mobile_verified) ? '<span class="label label-success">Verified</span>' : '<span class="label label-danger">Not Verified </span>'; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_email_verified'); ?>
                                        <br/>
                                        <?php echo isset($model->pcu_email_verified) ? '<span class="label label-success">Verified</span>' : '<span class="label label-danger">Not Verified </span>'; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_bank_linked'); ?>
                                        <br/>
                                        <?php echo isset($model->pcu_bank_linked) ? '<span class="label label-success">linked</span>' : '<span class="label label-danger">Not linked </span>'; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_card_linked'); ?>
                                        <br/>
                                        <?php echo isset($model->pcu_card_linked) ? '<span class="label label-success">linked</span>' : '<span class="label label-danger">Not linked </span>'; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_sec_question1'); ?>
                                        <?php echo $model->pcu_sec_question1; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_sec_answer1'); ?>
                                        <?php echo $model->pcu_sec_answer1; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_sec_question2'); ?>
                                        <?php echo $model->pcu_sec_question2; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_sec_answer2'); ?>
                                        <?php echo $model->pcu_sec_answer2; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_status'); ?>
                                        <?php 
                                        if($model->isNewRecord){
                                             $status = Common::statusDataValue($model->pcu_status);
                                        }else{
                                            $status = Common::statusData();
                                        }
                                        echo $form->dropDownList($model,'pcu_status', $status, array('prompt'=>'Select Any one','class'=>'form-control')); ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'created_at'); ?>
                                        <br/>
                                        <?php echo $model->created_at; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'updated_at'); ?>
                                        <br/>
                                        <?php echo $model->updated_at; ?>
                                        </div> 
                                         <?php echo CHtml::submitButton($model->isNewRecord ? 'Save' : 'Update', array('class'=>'btn btn-primary')); ?>
                                        <?php echo CHtml::Link('Cancel', Common::admincreateUrl('dashboard'), array('class'=>'btn btn-primary')); ?>
                                  <?php $this->endWidget(); ?>
                                </div>
                                <!-- /.col-lg-6 (nested) -->
                            </div>
                            <!-- /.row (nested) -->
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
        </div>
 <!-- /#page-wrapper -->

<script type="text/javascript">
     
$(document).ready(function(e){

    $('#Userdetails_pcu_state').attr('disabled',true);
    $('#Userdetails_pcu_city').attr('disabled',true);
    $(document).on('change','#Userdetails_pcu_country',function(e){

        var CountryId = $('#Userdetails_pcu_country').val();
        var querystring = "id="+CountryId;
        $.ajax({
            url: '<?php echo Common::admincreateUrl("_getState");?>',
            data: querystring,
            success: function(data){
                $('#Userdetails_pcu_state').attr('disabled',false);
                if(data != -1){
                    $("#Userdetails_pcu_state").html(data);
                } else {
                    $("#Userdetails_pcu_state").html('<option>No State</option>');
                }
            }
        });
});

$(document).on('change','#Userdetails_pcu_state',function(e){

        var StateId = $('#Userdetails_pcu_state').val();
        var querystring = "id="+StateId;
        $.ajax({
            url: '<?php echo Common::admincreateUrl("_getCity");?>',
            data: querystring,
            success: function(data){
                $('#Userdetails_pcu_city').attr('disabled',false);
                if(data != -1){
                    $("#Userdetails_pcu_city").html(data);
                } else {
                    $("#Userdetails_pcu_city").html('<option>No City</option>');
                }
            }
        });
});

});
 </script>