 <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Transactions -  <?php if(isset($_GET['type']) && $_GET['type'] == 0){ echo "Pending";} else if(isset($_GET['type']) && $_GET['type'] == 1) echo "Success"; else if(isset($_GET['type']) && $_GET['type'] == 2) echo "Completed"; else if(isset($_GET['type']) && $_GET['type'] == 3) echo "Completed"; else echo "All";?></h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        Manage  <?php if(isset($_GET['type']) && $_GET['type'] == 0){ echo "Pending";} else if(isset($_GET['type']) && $_GET['type'] == 1) echo "Success"; else if(isset($_GET['type']) && $_GET['type'] == 2) echo "Completed"; else if(isset($_GET['type']) && $_GET['type'] == 3) echo "Completed"; else echo "All Transactions";?>
                         </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body"> 
                        <div class="well">
                        <?php $form=$this->beginWidget('CActiveForm', array(
                            'action'=>Yii::app()->createUrl($this->route),
                            'method'=>'get',
                        )); ?>

                        <div class="row">
                            <div class="col-md-3">
                            <div class="form-group">
                            <?php echo $form->label($model,'pcat_code'); ?>
                            <?php echo $form->textField($model,'pcat_code', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group"> <?php echo $form->label($model,'pcat_status'); 
                            echo $form->dropDownList($model,'pcat_status', Common::transactionTypeAllData() , array('class'=>'form-control'));?>
                            </div>
                            </div>
                           <div class="col-md-3"><div class="form-group">
                            <?php echo $form->label($model,'pcat_userid'); ?>
                            <?php echo $form->textField($model,'pcat_userid', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group"><?php echo $form->label($model,'pcat_created_at'); ?>
                            <?php echo $form->textField($model,'pcat_created_at', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-6 col-md-offset-6">
                            <button type="submit" data-toggle="tooltip" title="delete" class="btn btn-primary pull-right"><i class="fa fa-search"></i> Search</button></div>
                        </div>
                        <?php $this->endWidget(); ?>
                        </div>
                        <form name="all-actions" method="post" id="all-actions" class="col-md-12">
                        <?php 
                        $this->widget('zii.widgets.grid.CGridView', array(
                          'id'=>'transactiondetails-grid',
                          'dataProvider'=>$model->agent_transactions_search(),
                          'itemsCssClass' => 'table table-striped table-bordered table-hover',
                          'pagerCssClass' => 'dataTables_paginate paging_bootstrap pull-right',
                          'enableSorting' => true,
                          'enableHistory'=>false,
                          'template'=>'<div class=row>&nbsp;</div>{items}<div class=row>&nbsp;</div>{summary}{pager}',
                          'columns'=>array( 
                            array('header' => 'Store Name', 'value'=>'$data->AgentRel->pcag_store_name'),
                            array('header' => 'Customer Name', 'value'=>'$data->UserRel->pcu_firstname." ".$data->UserRel->pcu_lastname'),
                            array('header' => 'Email', 'value'=>'($data->UserRel) ? $data->UserRel->pcu_email :"-"'),
                            'pcat_amount',
                            'pcat_commission',
                            'pcat_code',
                            array('header' => 'Status', 'type' => 'html','value'=>'getStatus($data->pcat_status)'),
                            'pcat_created_at',
                            'pcat_updated_at',
                          ),
                          'pager' => array(
                            'htmlOptions'=>array('class'=>'pagination'),
                            'selectedPageCssClass'=>'active',
                            'firstPageLabel'=>'First',
                            'prevPageLabel'=>'Previous',
                            'nextPageLabel'=>'Next',
                            'lastPageLabel'=>'Last',
                            'header'=>'',
                            'maxButtonCount'=>8,
                          ),
                        ));
                      ?>
                        </div>
                      </form>
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
   </div>
 <!-- /#page-wrapper -->
<?php 
function getStatus($id){

    if($id == 0)
        return '<span class="label label-default">Pending</span>';
    else if ($id == 1)
        return '<span class="label label-success">Success</span>';
    else if ($id == 2)
        return '<span class="label label-primary">Completed</span>';
    else if ($id == 3)
        return '<span class="label label-danger">Cancelled</span>';
    else if ($id == 4)
        return '<span class="label label-warning">Expired</span>';

}
 ?>