 <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Transactions -  Deposite</h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        Manage Deposites
                         </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body"> 
                        <div class="well">
                        <?php $form=$this->beginWidget('CActiveForm', array(
                            'action'=>Yii::app()->createUrl($this->route),
                            'method'=>'get',
                        )); ?>

                        <div class="row">
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <?php echo $form->label($model,'pct_transaction_id'); ?>
                            <?php echo $form->textField($model,'pct_transaction_id', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group"> <?php echo $form->label($model,'pct_transaction_status'); 
                            echo $form->dropDownList($model,'pct_transaction_status', Common::transactionTypeData() , array('class'=>'form-control'));?>
                            </div>
                            </div>
                           <div class="col-md-3"><div class="form-group">
                            <?php echo $form->label($model,'pct_referece_no'); ?>
                            <?php echo $form->textField($model,'pct_referece_no', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group"><?php echo $form->label($model,'pct_transaction_date'); ?>
                            <?php echo $form->textField($model,'pct_transaction_date', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-6 col-md-offset-6">
                            <button type="submit" data-toggle="tooltip" title="delete" class="btn btn-primary pull-right"><i class="fa fa-search"></i> Search</button></div>
                        </div>
                        <?php $this->endWidget(); ?>
                        </div>
                         <button type="button" data-toggle="tooltip" title="delete" class="btn btn-danger pull-left" onclick="confirm('please confirm one time') ? $('#all-actions').submit() : false;"><i class="fa fa-trash-o"></i> Delete All</button>

                        <form name="all-actions" method="post" id="all-actions" class="col-md-12">
                        <?php 
                        $this->widget('zii.widgets.grid.CGridView', array(
                          'id'=>'transactiondetails-grid',
                          'dataProvider'=>$model->admin_transactions_search(),
                          'itemsCssClass' => 'table table-striped table-bordered table-hover',
                          'pagerCssClass' => 'dataTables_paginate paging_bootstrap pull-right',
                          'enableSorting' => true,
                          'enableHistory'=>false,
                          'template'=>'<div class=row>&nbsp;</div>{items}<div class=row>&nbsp;</div>{summary}{pager}',
                          'columns'=>array( 
                            array('header' => '<input type="checkbox" id="checkbox_select_all" value="1" style="width:18px; height:18px;">', 'value' =>'Common::checkBoxcode($data->pct_id)', 'type'=>'raw', 'name'=>'chbox', 'filter'=>''),
                            array('header' => 'S.No', 'value'=>'$this->grid->dataProvider->pagination->currentPage * $this->grid->dataProvider->pagination->pageSize + ($row+1)',),
                            'pct_transaction_id',
                            array('header' => 'Email', 'value'=>'($data->UserRel) ? ucfirst($data->UserRel->pcu_email). " ".ucfirst($data->UserRel->pcu_email) :"-"'),
                            'pct_referece_no',
                            'pct_transaction_amount',
                            'pct_transaction_charge',
                            array('header' => 'Transaction Status', 'type' => 'html','value'=>'($data->pct_transaction_status == 1)? "<span class=\"label label-success\">Completed</span>":"<span class=\"label label-warning\">Pending</span>"'),
                            'pct_transaction_date',

                            array(
                              'header'=>'Actions',
                              'class'=>'CButtonColumn',
                              'template'=>'{update} {delete}',
                              'buttons'=>array (
                                'update'=> array(
                                  'label'=>'',
                                  'imageUrl'=>'',
                                  'url'=>'Common::admincreateUrl("editdepositedetails",array("id"=>$data->pct_id))',
                                   'options'=>array( 'class'=>'fa fa-fw fa-edit', 'rel' => 'tooltip', 'data-toggle' => 'tooltip', 'title' => Yii::t('lang', 'edit') ),
                                ),
                                'delete'=>array(
                                  'label'=>'',
                                  'imageUrl'=>'',
                                  'url'=>'Common::admincreateUrl("depositedetailsdelete",array("id"=>$data->pct_id))',
                                    'click'=>'function(){
                                      if(!confirm("Are you sure, want to delete the Transaction Details and it\"s related data?")) return false;
                                      $.fn.yiiGridView.update("transactiondetails-grid", {
                                        type:"POST", url:$(this).attr("href"),
                                        success:function(data) {
                                          if(!data){
                                            $.fn.yiiGridView.update("transactiondetails-grid");
                                            new PNotify({title: "Success",text: "Transaction Details deleted successfully",type: "success",icon:"fa fa-check-circle", styling:"fontawesome"});
                                          }
                                        }
                                      })
                                      return false;
                                    }',
                                  'options'=>array( 'class'=>'fa fa-fw fa-trash-o', 'rel' => 'tooltip', 'data-toggle' => 'tooltip', 'title' => Yii::t('lang', 'delete') ),
                                ),
                              ),
                            ),
                          ),
                          'pager' => array(
                            'htmlOptions'=>array('class'=>'pagination'),
                            'selectedPageCssClass'=>'active',
                            'firstPageLabel'=>'First',
                            'prevPageLabel'=>'Previous',
                            'nextPageLabel'=>'Next',
                            'lastPageLabel'=>'Last',
                            'header'=>'',
                            'maxButtonCount'=>8,
                          ),
                        ));
                      ?>
                        </div>
                      </form>
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
   </div>
 <!-- /#page-wrapper -->
<?php 
function getStatus($id){

    if($id == 1){
        return '<span class="label label-danger">Active</span>';
    }
} ?>